Bug 17368 - plugins tests are broken - KitchenSinkPlugin
Summary: plugins tests are broken - KitchenSinkPlugin
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 7804
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-28 13:44 UTC by Jonathan Druart
Modified: 2017-06-14 22:14 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17368: Update KitchenSinkPlugin.kpz (26.28 KB, patch)
2016-09-28 13:48 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17368: Update KitchenSinkPlugin.kpz (17.32 KB, patch)
2016-10-12 14:04 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 17368: Update KitchenSinkPlugin.kpz (17.48 KB, patch)
2016-10-20 10:17 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-09-28 13:44:35 UTC
The KitchenSinkPlugin plugin is used is t/db_dependent/plugins.t to test if our system plugin is ok.
Currently this plugin is broken because it uses subroutines which have been removed: GetBranchesLoop and GetBorrowercategoryList
Comment 1 Jonathan Druart 2016-09-28 13:48:02 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2016-10-12 14:04:51 UTC
Created attachment 56287 [details] [review]
Bug 17368: Update KitchenSinkPlugin.kpz

The KitchenSinkPlugin plugin is used is t/db_dependent/plugins.t to test
if our system plugin is ok.
Currently this plugin is broken because it uses subroutines which have
been removed: GetBranchesLoop and GetBorrowercategoryList

A PR has just been made
(https://github.com/bywatersolutions/koha-plugin-kitchen-sink/pull/2)
This kpz has been generated on top of the following commit:

  commit 5d109c9e1a5d3d314b346a529f2059176778d05a
    Adapt code for versions > 16.06.00.018
    2 subroutines has been removed and the plugin does not work
    anymore.

with:
% zip -r KitchenSinkPlugin.kpz Koha

Test plan:
  prove t/db_dependent/plugins.t
should now be happy

Signed-off-by: Magnus Enger <magnus@libriotech.no>
prove t/db_dependent/Plugins.t fails before the patch
and passes nicely after applying the patch.
Comment 3 Marcel de Rooy 2016-10-20 10:17:42 UTC
Created attachment 56690 [details] [review]
Bug 17368: Update KitchenSinkPlugin.kpz

The KitchenSinkPlugin plugin is used is t/db_dependent/plugins.t to test
if our system plugin is ok.
Currently this plugin is broken because it uses subroutines which have
been removed: GetBranchesLoop and GetBorrowercategoryList

A PR has just been made
(https://github.com/bywatersolutions/koha-plugin-kitchen-sink/pull/2)
This kpz has been generated on top of the following commit:

  commit 5d109c9e1a5d3d314b346a529f2059176778d05a
    Adapt code for versions > 16.06.00.018
    2 subroutines has been removed and the plugin does not work
    anymore.

with:
% zip -r KitchenSinkPlugin.kpz Koha

Test plan:
  prove t/db_dependent/plugins.t
should now be happy

Signed-off-by: Magnus Enger <magnus@libriotech.no>
prove t/db_dependent/Plugins.t fails before the patch
and passes nicely after applying the patch.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Kyle M Hall 2016-10-21 14:49:30 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Frédéric Demians 2016-10-22 13:05:14 UTC
Pushed in 16.05. Will be in 16.05.05.